【LeetCode刷题-双指针】--259.较小的三数之和

259.较小的三数之和

方法:排序+双指针

java 复制代码
class Solution {
    public int threeSumSmaller(int[] nums, int target) {
        Arrays.sort(nums);
        int k = 0;
        for(int i = 0;i<nums.length;i++){
            int start = i + 1,end = nums.length - 1;
            while(start < end){
                int sum = nums[start] + nums[end] + nums[i];
                if(sum < target){
                    k += (end - start);  //因为数组排好序了,所以start到end中的数都小于target
                    start++;
                }
                if(sum >= target){
                    end--;
                }
            }
        }
        return k;
    }
}
相关推荐
文丑颜不良啊2 分钟前
LeetCode1181~1200题目解析
java·leetcode
释厄6235 分钟前
矢量词汇向下不向上公理即词汇归位定律——肤浅即表面
java·人工智能·算法·去中心化·1024程序员节
海绵宝宝转agent11 分钟前
Leetcode100+面经
java·笔记·学习·算法·leetcode·深度优先
Shaoshing16 分钟前
LeetCode100 283.移动零
java·数据结构·算法·leetcode
海绵宝宝转agent17 分钟前
LeetCode100个人题解+java面经总结
java·开发语言·笔记·学习·算法
文丑颜不良啊19 分钟前
LeetCode1201~1220题目解析
java·leetcode
文丑颜不良啊30 分钟前
LeetCode1161~1180题目解析
java·leetcode
飞Link8 小时前
什么是 AirSim?一文读懂无人机仿真平台
python·算法·无人机
一去不复返的通信er11 小时前
贪心算法-合并区间(LeetCode 56)
算法·leetcode·贪心算法
Shaoshing11 小时前
LeetCode100 49. 字母异位词分组
java·算法